地信网论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

免费视频|新人指南|答学员问|投诉删帖

禁止上传涉密资料|赚取铜板|附件下载

查看: 272|回复: 2
收起左侧

[经验分享] CAD二次开发学习笔记

  [复制链接]
发表于 2016-12-12 17:14 | 显示全部楼层 |阅读模式

马上注册地信网,享受更多功能,学习更多知识,成就人生精彩!

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
本人CAD二次开发是基于VBA进行,第一个代码记录如下:
Sub c5()
Dim cc(0 To 2) As Double '初始化变量类型,这里初始化成双精度型。数组cc有三个元素分别为cc(0),cc(1),cc(2)
cc(0) = 30 '给数组cc(0)赋值30
cc(1) = 20 '给数组cc(1)赋值20
cc(2) = 0 '给数组cc(2)赋值0
For i = 1 To 10 Step 2 'For循环从1到10,步长为2,也就是说每一步都跳过i+2进行一次计算
  Call ThisDrawing.ModelSpace.AddCircle(cc, i) '用call调用 ThisDrawing.ModelSpace下面的画圆工具,cc数组的三个元素作为圆心坐标三个要素即:cc(x,y,z),半径为i
Next i '继续循环i
End Sub


评分

参与人数 1铜板 +30 收起 理由
jimi21 + 30 感谢分享!

查看全部评分

发表于 2016-12-13 11:46 | 显示全部楼层
顶一个
回复

使用道具 举报

发表于 2016-12-14 09:58 | 显示全部楼层
地信网论坛版规和新人指南
请问,哪位有水经注万能下载器的免费授权账号啊
来自安卓客户端来自安卓客户端
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

土流网土地流转招募令
在线客服

手机版|新人指南|地信论坛 ( 湘ICP备14003170号-5 湖南土流信息有限公司 版权所有 关于地信 联系方式 邮箱登陆

Powered by Discuz! X3.2

快速回复 返回顶部 返回列表